## subdownloader 2.0.9.3

=== gui/Makefile ===
all: main_ui.py imdb_ui.py images_rc.py preferences_ui.py about_ui.py login_ui.py chooseLanguage_ui.py expiration_ui.py

main_ui.py : main.ui
	pyuic4 main.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*// | python Qt2Po.py > main_ui.py

expiration_ui.py : expiration.ui
	pyuic4 expiration.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*// > expiration_ui.py

login_ui.py : login.ui
	pyuic4 login.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*// | python Qt2Po.py > login_ui.py
    
imdb_ui.py : imdb.ui
	pyuic4 imdb.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*// | python Qt2Po.py > imdb_ui.py

preferences_ui.py : preferences.ui
	pyuic4 preferences.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*// | python Qt2Po.py > preferences_ui.py

about_ui.py : about.ui
	pyuic4 about.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*// | python Qt2Po.py > about_ui.py

chooseLanguage_ui.py : chooseLanguage.ui
	pyuic4 chooseLanguage.ui | sed -s s/^.*Margin.*// | sed -e s/^.*boxlayout\.setObjectName.*//  > chooseLanguage_ui.py
    
images_rc.py : images.qrc
	pyrcc4 images.qrc > images_rc.py

clean :
	rm main_ui.py imdb_ui.py images_rc.py login_ui.py preferences_ui.py about_ui.py

## subdownloader 2.0.14

=== debian/changelog ===
subdownloader (2.0.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix-non-ascii-download-path.patch:
    + Fix downloading subtitles in folders containing non-ASCII characters
      (Closes: #606993), (LP: #913453, #306589)
  * debian/source/format:
    Update to "3.0 (quilt)" to apply the previous patch in a proper way

 -- Emilien Klein <emilien+debian@klein.st>  Sat, 10 Nov 2012 12:43:07 +0100

subdownloader (2.0.14-1) unstable; urgency=low

  * New upstream version.

 -- Marco Rodrigues <gothicx@gmail.com>  Sun, 10 Oct 2010 23:24:46 +0100

subdownloader (2.0.13-1) unstable; urgency=low

  * New upstream version (Closes: #595333).
  * debian/control:
    + Move python-qt4 to Recommends. Thanks Jakub Wilk for the tip.
    + Change my e-mail address.
  * debian/copyright:
    + Change my e-mail address.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.

 -- Marco Rodrigues <gothicx@gmail.com>  Fri, 03 Sep 2010 23:40:19 +0100

subdownloader (2.0.10-1) unstable; urgency=low

  * New upstream version (Closes: #515664, #515665),
    (LP: #452036, #359294).
  * debian/subdownloader.install:
    + Use upstream xpm icon.
  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add pyqt4-dev-tools to rebuild qt ui files.
    + Change XS-Python-Version to >= 2.5 and bump python dependency
      to 2.5.2 as upstream needs python 2.5 to work correctly.
    + Replace python-central by python-support.
  * debian/rules:
    + Replace python-central by python-support.
    + Rebuild QT ui files.
    + Don't remove mmpython. Not at tarball anymore.
  * debian/copyright:
    + Add myself as upstream developer.
    + Bump copyright year to 2010.
    + Change from GPL-2 to GPL-3 as upstream.

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 24 Feb 2010 23:04:12 +0000

subdownloader (2.0.9.3-2) unstable; urgency=low

  * debian/rules:
    + Move generate-mo-files to build and add to PHONY.
    + Force use of dh_pycentral instead of dh_pysupport.
  * debian/copyright:
    + Update to current year in translations and authors.

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 09 Feb 2009 21:46:09 +0000

subdownloader (2.0.9.3-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    + Short and long description improved (Closes: #512186).
  * debian/watch:
    + Fix name of tarball to lowercase (changed upstream).

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 29 Jan 2009 09:40:21 +0000

subdownloader (2.0.9.2-1) unstable; urgency=low

  * New upstream version.

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 14 Jan 2009 20:16:17 +0000

subdownloader (2.0.9.1-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    + Generate mo files from po files on build.
  * debian/control:
    + Add Conflicts/Replaces to avoid problems with the
      non-official -cli package (Closes: #510049).
  * debian/copyright:
    + Add copyright notice for locale (po files).

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 29 Dec 2008 12:22:05 +0000

subdownloader (2.0.8.1-1) unstable; urgency=low

  * Initial Release (Closes: #490364).

 -- Marco Rodrigues <gothicx@sapo.pt>  Sun, 07 Dec 2008 19:26:05 +0000

=== debian/control ===
Source: subdownloader
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Marco Rodrigues <gothicx@gmail.com>
Build-Depends: debhelper (>= 7), python (>= 2.5.2-3)
Build-Depends-Indep: python-support (>= 0.5.6), pyqt4-dev-tools
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/python-apps/packages/subdownloader/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/subdownloader/trunk/
XS-Python-Version: >= 2.5
Homepage: http://www.subdownloader.net/

Package: subdownloader
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5.2-3), python-crypto, python-kaa-metadata
Recommends: python-qt4
Conflicts: subdownloader-cli
Replaces: subdownloader-cli
XB-Python-Version: ${python:Versions}
Description: subtitle download/upload manager for video files
 SubDownloader is a tool to automatically download/upload subtitles 
 for video files (DIVX, MPEG, AVI, etc.) and DVDs using fast hashing.
 .
 Features:
   * Fast hashing algorithm (27 GB movies/7 seconds)
   * Recursively folders search
   * Autodetect language of the subtitles
   * Upload entire series seasons subtitles in less than 1 minute
 .
 This package contains the GUI front-end, common files and a cli interface.

=== debian/rules ===
#!/usr/bin/make -f

LANGUAGES=$(shell find locale/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")

build:
	dh build

clean:
	make -C gui/ clean
	dh clean

install: build
	make -C gui/ all
	dh --with python_support install

	# Make subdownloader symlink executable
	chmod +x debian/subdownloader/usr/bin/subdownloader

binary-indep: build generate-mo-files install
	dh --with python_support binary-indep

binary-arch: build install

binary: binary-indep binary-arch

generate-mo-files:
	for lang in $(LANGUAGES); do \
		localedir=debian/subdownloader/usr/share/locale/$$lang/LC_MESSAGES; \
		dh_installdirs -psubdownloader usr/share/locale/$$lang/LC_MESSAGES; \
		msgfmt --directory=locale $$lang/LC_MESSAGES/subdownloader.po --output-file=$$localedir/subdownloader.mo; \
	done

.PHONY: build clean binary-indep binary-arch binary generate-mo-files install

=== debian/watch ===
version=3
https://launchpad.net/subdownloader/+download \
http://launchpad.net/subdownloader/(?:.*)/(?:.*)/\+download/subdownloader-(.*)\.tar\.gz

## subdownloader 2.0.18

=== debian/changelog ===
subdownloader (2.0.18-2.1) unstable; urgency=medium

  * NMU upload
  * Fix the locale issues when downloading (Closes: #766316) (LP: #1289949)
    Thanks to Beniamin Jalinowski for the patch
    Patch updated by Sylvestre Ledru

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Nov 2016 20:47:58 +0100

subdownloader (2.0.18-2) unstable; urgency=medium

  * Team upload

  [ Emilien Klein ]
  * d/patches/load-translations.patch: Corrects Debian's program folder to
      load the translations correctly (Closes: #767036).

  [ Mattia Rizzolo ]
  * Make subdownloader download subtitles again after opensubtitles.org
    API change.  Closes: #810530  LP: #1528605

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jan 2016 23:55:47 +0000

subdownloader (2.0.18-1) unstable; urgency=low

  * New upstream release (Closes: #687126, #751920).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix watch file.

  [ Emilien Klein ]
  * Transition from python_support to dh_python2. Affects files:
    - d/control
    - d/rules
    - d/subdownloader.install
    - d/subdownloader.links
  * d/control:
    - Bump Standards-Version from 3.9.1 to 3.9.6 (one change performed to
      d/rules recommended target)
    - Replace Marco Rodrigues by myself in Uploaders
  * d/rules: Fix debian-rules-missing-recommended-target Lintian warning
  * d/patches/fix-non-ascii-download-path.patch: deleted as applied upstream
  * d/patches/desktop-file-remove-path.patch: make the desktop file usable
  * d/patches/no-mime-type-in-desktop-file.patch: Mime Type is unused, as
      the .desktop file doesn't provide an Exec code.
  * d/patches/resize-icon.patch: Resize icon from 64x64 to 32x32

 -- Emilien Klein <emilien+debian@klein.st>  Wed, 22 Oct 2014 00:09:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,13 @@
 
 LANGUAGES=$(shell find locale/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
 
-build:
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
+build-stamp:
 	dh build
 
 clean:
@@ -11,13 +17,13 @@
 
 install: build
 	make -C gui/ all
-	dh --with python_support install
+	dh --with python2 install
 
 	# Make subdownloader symlink executable
 	chmod +x debian/subdownloader/usr/bin/subdownloader
 
 binary-indep: build generate-mo-files install
-	dh --with python_support binary-indep
+	dh --with python2 binary-indep
 
 binary-arch: build install

=== debian/watch ===
version=3
https://launchpad.net/subdownloader/+download \
https://launchpad.net/subdownloader/(?:.*)/(.*)/\+download/subdownloader_(?:.*)\.tar\.gz

## subdownloader 2.0.19

=== gui/Makefile ===
TARGETS= main_ui.py imdb_ui.py images_rc.py preferences_ui.py about_ui.py \
	 login_ui.py chooseLanguage_ui.py

IMAGES=$(shell find images -type f -printf "%p ")

PYUIC=pyuic5
PYRCC=pyrcc5

.PHONY: all clean

all: $(TARGETS)

%_ui.py : %.ui ui_parser.py Makefile
	$(PYUIC) $< | python ui_parser.py -- $(TARGETS)> $@

%_rc.py : %.qrc $(IMAGES) Makefile
	$(PYRCC) $< > $@

clean:
	rm -f $(TARGETS)

=== debian/changelog ===
subdownloader (2.0.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

  [ SVN → Git migration ]
  * Move the repository from SVN to Git.
  * Change the hosting from alioth.d.o to salsa.d.o.
  * Configure gbp to use DEP-14 branch names.

  [ Mattia Rizzolo ]
  * New upstream version 2.0.19.
  * Run wrap-and-sort -ast.
  * d/control:
    + Add myself to Uploaders.
    + Bump debhlper compat level to 11.
      Also use the new debhelper-compat(=11) notation and drop d/compat.
    + Set Rules-Requires-Root:no.
    + Drop versioned dependency on python >= 2.6, the implied >= 2.7 is enough.
    + Bump Standards-Version to 4.2.1.
    + Update Homepage to the new location on GitHub.
  * d/control: Update dependencies:
    + Build-Depends: pyqt4-dev-tools → pyqt5-dev-tools.
    + Depends:
      - python-kaa-metadata → python-pymediainfo.  Closes: #907663
      - drop now unneeded dependency on python-crypto.
      - new dependency on python-progressbar.
    + Recommends:
      - python-qt4 → python-pyqt5.
      - New recommended packages: python-argcomplete, python-langdetect.
  * d/rules:
    + Rewrite using the dh sequencer.
    + Don't install a basically empty upstream changelog file.
  * d/subdownloader.menu: drop menu file, deprecated as of Policy v3.9.8.
  * d/copyright:
    + Rewrite using copyright-format 1.0.
    + Add myself for debian/*
    + Update.
  * d/watch: Rewrite pointing to GitHub.
  * d/patches:
    + follow-opensubtitles-download-link: remove, included upstream.
    + encoding-issue.diff: temporary disable.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 20 Sep 2018 18:13:26 +0200

=== debian/control ===
Source: subdownloader
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders:
 Emilien Klein <emilien+debian@klein.st>,
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 python,
Build-Depends-Indep:
 dh-python,
 pyqt5-dev-tools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/applications/subdownloader.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/subdownloader
Homepage: https://github.com/subdownloader/subdownloader

Package: subdownloader
Architecture: all
Depends:
 python-progressbar,
 python-pymediainfo,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-argcomplete,
 python-langdetect,
 python-pyqt5,
Conflicts:
 subdownloader-cli,
Replaces:
 subdownloader-cli,
Description: subtitle download/upload manager for video files
 SubDownloader is a tool to automatically download/upload subtitles
 for video files (DIVX, MPEG, AVI, etc.) and DVDs using fast hashing.
 .
 Features:
   * Fast hashing algorithm (27 GB movies/7 seconds)
   * Recursively folders search
   * Autodetect language of the subtitles
   * Upload entire series seasons subtitles in less than 1 minute
 .
 This package contains the GUI front-end, common files and a cli interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

LANGUAGES=$(shell find locale/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")

override_dh_auto_clean:
	$(MAKE) -C gui/ clean
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C gui/ all
	dh_auto_build

override_dh_install:
	dh_install
	chmod -v +x debian/subdownloader/usr/share/pyshared/subdownloader/run.py
	set -e ; for lang in $(LANGUAGES); do \
		localedir=debian/subdownloader/usr/share/locale/$$lang/LC_MESSAGES; \
		dh_installdirs -psubdownloader usr/share/locale/$$lang/LC_MESSAGES; \
		msgfmt --directory=locale $$lang/LC_MESSAGES/subdownloader.po --output-file=$$localedir/subdownloader.mo; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -X ChangeLog

=== debian/watch ===
version=4

opts="\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%subdownloader_$1.orig.tar.gz%,\
pgpmode=none,\
" \
https://github.com/subdownloader/subdownloader/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## subdownloader 2.1.0~rc4

=== requirements.txt ===
argparse >= 1.3.0
argcomplete >= 1.7.0
langdetect >= 1.0.7
pymediainfo >= 2.1.6
PyQt5 >= 5.0.0

sphinx-argparse >= 0.2.1
docutils >= 0.14

pytest >= 3.4

=== debian/changelog ===
subdownloader (2.1.0~rc4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 21 Aug 2019 16:42:22 -0400

subdownloader (2.1.0~rc4-1) experimental; urgency=medium

  * New upstream version 2.1.0~rc4.  Closes: #892751
    + This version doesn't ship language data models anymore.  Closes: #703944
    + Fix crash when searching for Chinese characters.  Closes: #912855
    + Fix crash when the directory contains non-ASCII characters.
      Closes: #766316; LP: #1289949
  * d/watch: Update to catch also the rc releases.
  * d/rules:
    + Drop PyQt5 from requires.txt since it doesn't ship an egg-info.
    + Document why we can't run the testsuite at build time.
    + Build the manpage using sphinx.
  * d/patches:
    + Drop resize-icon.patch, not relevant anymore without the menu system.
    + Drop desktop-file-remove-path.patch, applied upstream.
    + Drop load-translations.patch, not needed anymore.
    + Drop encoding-issue.diff, the bug is fixed some other way upstream now.
    + Refresh no-mime-type-in-desktop-file.patch
  * d/control:
    + Update all the package relationships for the Python2→Python3 move, and
      several other library changes.
    + Remove Emilien Klein from Uploaders, as they are not users of this
      anymore, and so I assume no longer interested in its maintenance.
  * Add an autopkgtest.
  * d/copyright: Update.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Nov 2018 21:49:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
- Emilien Klein <emilien+debian@klein.st>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  debhelper-compat (= 11),
- python,
-Build-Depends-Indep:
  dh-python,
- pyqt5-dev-tools,
-Standards-Version: 4.2.1
+ python3,
+ python3-argcomplete <!nodoc>,
+ python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-argparse,
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/applications/subdownloader.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/subdownloader
@@ -20,14 +21,11 @@
 Package: subdownloader
 Architecture: all
 Depends:
- python-progressbar,
- python-pymediainfo,
+ python3-progressbar,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Recommends:
- python-argcomplete,
- python-langdetect,
- python-pyqt5,
+ python3-pyqt5,
 Conflicts:
  subdownloader-cli,
 Replaces:

=== debian/rules ===
#!/usr/bin/make -f

# The tests try to download http://www.opensubtitles.org/addons/avi/breakdance.avi
# which is not possible at build time.
export PYBUILD_DISABLE=test

# drop PyQt5 from requires.txt - see https://bugs.debian.org/890200
export PYBUILD_AFTER_INSTALL=sed -i '/PyQt5/d' {destdir}{install_dir}/SubDownloader-*.egg-info/requires.txt

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -X ChangeLog

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_sphinx --build-dir $(CURDIR)/.pybuild/

=== debian/tests/control ===
Test-Command: set -e ; cp -rv tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP" ; for py in $(py3versions -s) ; do $py -m unittest discover -v ; done
Depends: subdownloader, python3-all
Restrictions: allow-stderr

## subdownloader 2.1.0

=== requirements.txt ===
argcomplete (>=1.7.0)
langdetect (>=1.0.7)
pymediainfo (>=2.1.6)

=== debian/changelog ===
subdownloader (2.1.0-6) unstable; urgency=medium

  * Add patch to fix a syntax error in setup.py causing FTBFS.  Closes: #1042355
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Bump copyright year.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 14 Mar 2025 15:06:57 +0100

subdownloader (2.1.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:30:47 +0100

subdownloader (2.1.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:14:58 -0400

subdownloader (2.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Mattia Rizzolo ]
  * Add patch from upstream to fix input of text fields at startup. LP: #1869376
  * Install the program icon.  LP: #1869377
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Mar 2020 21:39:19 +0100

subdownloader (2.1.0-2) unstable; urgency=medium

  * Add missing Test-Depends on pythont3-pytest and python3-pymediainfo.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 31 Oct 2019 11:42:32 +0100

subdownloader (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
    + Unbreak the CLI, adding/changing a few flags and operation modes.
      Closes: #933909
    + Allow specifying video files on the CLI in a way that is compatible with
      Freedesktop (also drop local patch workarounding this).  LP: #1001689
  * d/copyright: Update.
  * d/control:
    + Bump debhelper compat level.
    + Bump Standards-Version, no changes needed.
    + Use the new dh-sequence-python3 virtual package.
  * d/rules:
    + Now we are able to run the testsuite with pytest.
    + Tweak the dependency generation, the new version is not installing
      requires.txt anymore.
  * d/t/control: Also run autopkgtest using pytest.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 18 Oct 2019 14:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: subdownloader
 Section: utils
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3,
  python3-argcomplete <!nodoc>,
+ python3-pymediainfo <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-argparse,
-Standards-Version: 4.4.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/applications/subdownloader.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/subdownloader
+Vcs-Git: https://salsa.debian.org/python-team/packages/subdownloader.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/subdownloader
 Homepage: https://github.com/subdownloader/subdownloader
 
 Package: subdownloader

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -vv -r sxX -l
export PYBUILD_AFTER_TEST = rm -rfv .pybuild_cache
# drop PyQt5 from requires.txt - see https://bugs.debian.org/890200
#export PYBUILD_AFTER_INSTALL=sed -i '/PyQt5/d' {destdir}{install_dir}/SubDownloader-*.egg-info/requires.txt

%:
	dh $@ --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -X ChangeLog

override_dh_auto_build:
	dh_auto_build
	python3 -m sphinx -N -bman doc/ .pybuild/man/

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_python3:
	dh_python3 --requires $(CURDIR)/requirements.txt

=== debian/tests/control ===
Test-Command: set -e ; cp -rv tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP" ; for py in $(py3versions -s) ; do $py -m pytest -vv -l -r a ; done
Depends:
 python3-all,
 python3-pymediainfo,
 python3-pytest,
 subdownloader,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

opts="\
uversionmangle=s/-?rc/~rc/,\
pgpmode=none,\
" \
https://github.com/subdownloader/subdownloader/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
